/* Start variables */
:root {
    --main-color: #19c8fa;
    --transparent-color: rgb(15 116 143 / 70%);
    --section-padding: 100px;
}

/* End variables */
/* Start Global Rules */
* {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Open Sans", sans-serif;
}

ul {
    list-style: none;
}

.container {
    margin: 0 auto;
    padding: 0 15px;
}

/* small */
@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}

/* medium */
@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}

/* large */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}

.special-heading {
    font-weight: normal;
    font-size: 40px;
    margin-bottom: 70px;
    text-transform: uppercase;
    text-align: center;
    position: relative;

    &::before {
        content: "";
        position: absolute;
        width: 150px;
        height: 2px;
        bottom: -20px;
        left: 50%;
        transform: translateX(-50%);
        background-color: black;
    }

    &::after {
        content: "";
        position: absolute;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        border: 2px solid black;
        bottom: -20px;
        left: 50%;
        transform: translateX(-50%) translateY(50%);
        background-color: white;
    }

    &+p {
        max-width: 550px;
        text-align: center;
        margin: 0 auto;
        margin-bottom: 100px;
        line-height: 2;
        color: #777;
    }
}

a.button {
    background-color: var(--main-color);
    display: inline-block;
    padding: 15px 20px;
    color: white;
    text-decoration: none;
    text-transform: capitalize;
}

/* End global rules */
/* Start header */
header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 2;
}

header .container {
    display: flex;
    justify-content: space-between;
    position: relative;
    align-items: center;
    min-height: 96.09px;
}

header .container::before {
    content: "";
    height: 1px;
    width: calc(100% - 30px);
    background-color: white;
    position: absolute;
    bottom: 0px;
    left: 15px;
}

header nav {
    display: flex;
    justify-content: flex-end;
    flex: 1;
    align-items: center;
}

header nav .toggle-menu {
    font-size: 22px;
    color: white;
}

header nav ul {
    display: flex;
}

header nav ul a {
    display: block;
    text-decoration: none;
    color: white;
    padding: 40px 10px;
    font-size: 14px;
    transition: 0.3s;
    position: relative;
}

header nav ul a::before {
    content: "";
    background-color: var(--main-color);
    height: 1px;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    display: none;
}

header nav ul a.active,
header nav ul a:hover {
    color: var(--main-color);
}

header nav ul a.active::before,
header nav ul a:hover::before {
    display: block;
}

header nav .form {
    border-left: 2px solid white;
    height: fit-content;
    padding: 2px 10px;
    margin-left: 30px;
    color: white;
}

header .logo img {
    height: 40px;
}

@media (max-width:767px) {
    header nav ul {
        display: none;
    }

    header nav .toggle-menu+ul:hover,
    header nav .toggle-menu:hover+ul {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 100%;
        left: 0;
        /* transform: translateY(100%); */
        width: 100%;
        background-color: rgb(0 0 0 / 50%);

        & a {
            padding: 15px;
        }
    }
}

@media (min-width:768px) {
    header nav .toggle-menu {
        display: none;
    }
}

/* End header */
/* Start landing */
.landing {
    height: 100vh;
    width: 100%;
    background-image: url("../images/owl.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.landing .overlay {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    background-color: rgb(0 0 0 / 60%);
}

.landing .text {
    width: 50%;
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
    background-color: var(--transparent-color);
    padding: 50px;
    display: flex;
    justify-content: flex-end;
}

.landing .text .content {
    max-width: 500px;
}

.landing .content h2 {
    color: white;
    font-size: 32px;
    margin-bottom: 20px;
    line-height: 1.5;
    font-weight: normal;
}

.landing .content p {
    color: white;
    font-size: 14px;
    line-height: 2;
}

.landing .arrows {
    color: white;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.landing .arrows.fa-angle-right {
    right: 30px;
}

.landing .arrows.fa-angle-left {
    left: 30px
}

.landing .bullets {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 4px;
}

.landing .bullets li {
    height: 20px;
    width: 20px;
    border: 1px solid white;
    border-radius: 50%;
}

.landing .bullets li.active {
    background-color: var(--main-color);
    border-color: var(--main-color);
}

@media (max-width:767px) {
    .landing .text {
        width: 100%;
    }

    .landing .text .content {
        max-width: 100%;
        text-align: center;
    }

    .landing .arrows {
        display: none;
    }
}

/* End landing */

/* Start services */
.services {
    background-color: white;
    padding: var(--section-padding) 0;
}

.services .items .item {
    display: flex;
    gap: 50px;
    margin-bottom: 40px;
}

.services .items .item h3 {
    color: var(--main-color);
    margin-bottom: 30px;
}

.services .items .item p {
    color: #777;
    line-height: 2;
}

@media (min-width: 768px) {
    .services .items {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
        gap: 40px;
    }

}

@media (max-width:767px) {
    .services .items .item {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 20px;
    }
}

/* End services */
/* Start design */
.design {
    padding: var(--section-padding) 0;
    height: 600px;
    background-image: url("../images/design-features.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.design::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 60%);
}

.design .image {
    width: fit-content;
    height: fit-content;
    z-index: 2;
    flex: 1;
    text-align: center;
    position: relative;
    bottom: -150px;
}

.design .text {
    padding: 50px;
    background-color: var(--transparent-color);
    z-index: 2;
    flex: 1;
}

.design .text h2 {
    color: white;
    font-size: 24px;
    text-transform: uppercase;
    margin-bottom: 40px;
}

.design .text ul {
    color: white;
}

.design .text ul li {
    padding: 15px 0;
}

.design .text ul li::before {
    font-family: "Font Awesome 5 Free";
    content: "\f108";
    font-weight: 900;
    margin-right: 20px;
    position: relative;
    top: 1px;
}

@media (max-width:767px) {
    .design .image {
        display: none;
    }
}

/* end design */
/* Start Portfolio */
.portfolio {
    padding: var(--section-padding) 0;
}

.portfolio .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.portfolio .container ul li {
    display: inline-block;
    padding: 10px;
}

.portfolio .container ul li.active {
    color: white;
    background-color: var(--main-color);
}

.portfolio .photos {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* i put it here exceptionally */
.portfolio .photos .button {
    margin: 30px 0;
}

.portfolio .photos .photos-container {
    width: 100%;
    margin-top: 60px;
    display: grid;
    /* grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); */
    row-gap: 5px;
}

.portfolio .photos .card {
    position: relative;
    overflow: hidden;
}

.portfolio .photos .card img {
    width: 100%;
    height: 100%;
    transition: 0.5s 0.1s;
}

.portfolio .photos .card .text {
    transform: translateY(100%);
    position: absolute;
    width: 100%;
    bottom: 0;
    background-color: white;
    padding: 20px;
    transition: 0.5s 0.1s;

}

.portfolio .photos .card .text h4 {
    margin-bottom: 10px;
}

.portfolio .photos .card .text p {
    color: var(--main-color);
}

.portfolio .photos .card:hover .text {
    transform: translateY(0);
}

.portfolio .photos .card:hover img {
    transform: rotateZ(5deg) scale(1.1);
}

@media (min-width: 768px) and (max-width:1200px) {
    .portfolio .photos .photos-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* large */
@media (min-width: 1200px) {
    .portfolio .photos .photos-container {
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    }
}

/* End Portfolio */
/* start video */
.video {
    display: flex;
    align-items: center;
    position: relative;
}

video::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 40%);
}

.video video {
    width: 100%;
}

.video .text {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    background-color: rgb(15 116 143 / 70%);
    color: white;
    text-align: center;
    padding: 50px;
}

.video .text h2 {
    margin: 0 0 30px;
    text-transform: uppercase;
    font-weight: normal;
}

.video .text p {
    margin-bottom: 30px;
}

.video .text button {
    color: white;
    background-color: black;
    border: 0;
    padding: 10px 20px;
    text-transform: uppercase;
}

/* end video */
/* start about us */
.about-us {
    padding-top: var(--section-padding);
    text-align: center;
}

.about-us img {
    max-width: 100%;
    position: relative;
    top: 120px;
    z-index: -1;
    margin-top: -120px;
}

@media (max-width:767px) {
    .about-us img {
        top: 60px;
        margin-top: -60px;
    }
}

/* end about us */
/* start stats */
.stats {
    background-image: url("../images/stats.png");
    background-repeat: no-repeat;
    background-size: cover;
    padding: 100px 0;
    position: relative;
    z-index: 1;

}

.stats::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 60%);
}

.stats .container {
    display: flex;
    position: relative;
    z-index: 2;
    flex-wrap: wrap;
}

.stats .container .box {
    padding: 50px 0;
    width: 100%;
    color: white;
    text-align: center;
    background-color: rgb(15 116 143 / 70%);
}

.stats .container .box .number {
    font-size: 50px;
    margin-bottom: 20px;
    font-weight: bold;
}

.stats .container .box i {
    margin-bottom: 30px;
    position: relative;
    z-index: 1;
}

.stats .container .box i::after {
    content: "";
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: black;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
    clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
}

@media (min-width: 767px) {
    .stats .container .box {
        width: 50%;
    }
}

/* large */
@media (min-width: 992px) {
    .stats .container .box {
        width: 25%;
    }
}

/* end stats */
/* start skills */
.skills {
    padding: var(--section-padding) 0;
}

.skills .container {
    display: flex;
    gap: 80px;
    flex-wrap: wrap;
}

.skills .container>div {
    width: calc(50% - 40px);
}

@media (max-width: 992px) {
    .skills .container>div {
        width: 100%;
    }
}

.skills .container .header h3 {
    margin: 0 0 30px;
    font-weight: normal;
    text-align: center;
    text-transform: uppercase;
}

.skills .container .header p {
    color: #777;
    line-height: 2;
    text-align: center;
    margin-bottom: 60px;
}

.skills .body .person {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}

.skills .body .person .text {
    line-height: 1.8;
    border-bottom: 1px solid #ccc;
}

.skills .body .person .text p {
    color: #777;
    text-align: right;
    font-size: 14px;
    margin-bottom: 10px;
}

.skills .body .person img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin-right: 30px;
}

.skills .bullets {
    display: flex;
    gap: 4px;
    justify-content: center;
}

.skills .bullets li {
    display: block;
    height: 20px;
    width: 20px;
    border: 1px solid #777;
    border-radius: 50%;
}

.skills .bullets li.active {
    background-color: var(--main-color);
    border-color: var(--main-color);
}

.skills .second .body h4 {
    margin-bottom: 15px;
    font-weight: normal;
    text-transform: uppercase;
}

.skills .second .body .percentage {
    height: 30px;
    background-color: #dedadc;
    position: relative;
    margin-bottom: 30px;
}

.skills .second .body .percentage>div {
    background-color: var(--main-color);
    height: 100%;
    position: relative;

}

.skills .second .body .percentage>div::after {
    content: attr(per);
    padding: 5px;
    color: white;
    background-color: black;
    position: absolute;
    right: 0;
    top: -50px;
    transform: translateX(50%);
    border-radius: 5px;
}

.skills .second .body .percentage>div::before {
    content: "";
    border: 10px solid black;
    border-color: black transparent transparent;
    position: absolute;
    right: 0;
    top: -22px;
    transform: translateX(50%);
}

@media (max-width:767px) {
    .skills .body .person {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        gap: 30px;
    }

    .skills .body .person img {
        margin-right: 0;
    }
}

/* end skills */
/* start quote */
.quote {
    background-image: url("../images/quote.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    width: 100%;
    color: white;
    text-align: center;
    padding: var(--section-padding) 0;

}

.quote::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 80%);
}

.quote q {
    font-size: 30px;
    z-index: 1;
    position: relative;
    margin: 0 auto;
    margin-bottom: 20px;
    display: block;
}

.quote span {
    z-index: 1;
    position: relative;
}

/* end quote */
/* start pricing */
.pricing {
    padding: var(--section-padding) 0;
}

.pricing .items-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.pricing .items {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;

}

.pricing .item {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #fcfcfc;
    border-top: 1px solid var(--main-color);
    margin-bottom: 50px;
    justify-content: center;
}

.pricing .item .item-header {
    margin: 30px auto;
    text-align: center;
}

.pricing .item .item-header h3 {
    font-weight: normal;
    margin-bottom: 20px;
}

.pricing .item .item-header .price {
    font-size: 60px;
    font-weight: bold;
    position: relative;
    width: fit-content;
}

.pricing .item .item-header .price::before {
    content: "$";
    position: absolute;
    left: -30px;
    font-weight: normal;
    font-size: 25px;
}

.pricing .item .item-header .price::after {
    content: "/Mo";
    position: absolute;
    right: -45px;
    bottom: 10px;
    font-size: 20px;
}

.pricing .item ul {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-bottom: 1px solid var(--main-color);
    border-top: 1px solid var(--main-color);

}

.pricing .item ul li {
    padding: 15px;
    width: 100%;
    text-align: center;
    position: relative;
}

.pricing .item ul li:not(:last-child)::before {
    content: "";
    height: 1px;
    position: absolute;
    width: 166px;
    bottom: 0;
    left: 0;
    background-color: var(--main-color);
    z-index: 3;
    left: 50%;
    transform: translateX(-50%);
}

.pricing .item ul li:last-child {
    border: 0;
}

.pricing .item .button {
    margin: 20px auto;
    background-color: transparent;
    border: 1px solid var(--main-color);
    color: #777;
}

.pricing .items+p {
    text-align: center;
    margin-bottom: 30px;
}

.pricing .items+p+a {
    align-self: center;
}

/* end pricing */
/* start subscribe */
.subscribe {
    background-image: url("../images/subscribe.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    width: 100%;
    color: white;
    padding: var(--section-padding) 0;
}

.subscribe::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 60%);
}

.subscribe .container {
    position: relative;
    display: flex;
    gap: 30px;
    align-items: center;
}

.subscribe form {
    display: flex;
    gap: 0;
    position: relative;
}

.subscribe form i {
    position: absolute;
    left: 15px;
    top: 50%;
    font-size: 25px;
}

.subscribe form input[type="email"] {
    background-color: transparent;
    border: 1px solid white;
    border-right: 0;
    padding-left: 50px;
    color: white;
    font-size: 18px;
    width: calc(100% - 133px);
}

.subscribe form input[type="email"]::placeholder {
    color: white;
}

.subscribe form input[type="submit"] {
    width: 133px;
    background-color: var(--main-color);
    border: 1px solid white;
    color: white;
    text-transform: uppercase;
    padding: 20px;
    border-left: 0;
}

.subscribe .container p {
    line-height: 1.8;
}

@media (max-width: 992px) {
    .subscribe .container {
        flex-direction: column;

    }

    .subscribe .container p {
        text-align: center;
    }
}

/* end subscribe */

/* start contact */
.contact {
    padding: var(--section-padding) 0;
}

.contact .wraper {
    display: flex;
    gap: 5%;
}

.contact .wraper form {
    flex-basis: 70%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contact .wraper form input,
.contact .wraper form textarea {
    padding: 20px;
    border: 1px solid #777;
    outline: none;
}

.contact .wraper .button {
    align-self: flex-end;
}

.contact .wraper .info {
    flex-basis: 25%;
}

.contact .info h4 {
    text-transform: uppercase;
    margin-bottom: 30px;
    font-weight: 500;
    font-size: 18px;
}

.contact .info .phone {
    color: #777;
    line-height: 2;
}

.contact .info h4:last-of-type {
    margin-top: 75px;
}

.contact address {
    color: #777;
    line-height: 2;
}

@media (max-width:767px) {
    .contact .wraper {
        flex-direction: column-reverse;
    }

    .contact .info {
        margin: auto;
        text-align: center;
    }

    .contact .info h4:last-of-type {
        margin-top: 30px;
    }

    .contact address {
        margin-bottom: 30px;
    }
}

/* end contact */
/* start footer */
.footer {
    padding: calc(var(--section-padding) / 2) 0;
    background-image: url("../images/footer.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 70%);
}

.footer .container {
    position: relative;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 50px;
    text-align: center;
}

.footer .container .social {
    display: flex;
    font-size: 22px;
    flex-direction: column;
    gap: 20px;
}

.footer .container .social hr {
    border: 1px solid white;
    width: 120%;
    margin-left: -10%;
}

.footer .container .social .social-icons {
    display: flex;
    justify-content: space-between;
}

.footer .container .copyright {
    margin-top: 20px;
    font-weight: bold;
}

.footer .container .copyright span {
    color: var(--main-color);
}

/* end footer */